{*******************************************************}
{                                                       }
{       IBAccess                                        }
{       Project unit                                    }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

program ibaccess;

{%ToDo 'ibaccess.todo'}

uses
  QForms,
  mainform in 'mainform.pas' {FMain},
  usernameform in 'usernameform.pas' {FUsername},
  ibacutils in 'ibacutils.pas' {FFetching},
  newdatabase in 'newdatabase.pas' {FNewDatabase},
  ibacconst in 'ibacconst.pas',
  delbase in 'delbase.pas' {FDelbase},
  databaseform in 'databaseform.pas' {FDatabase},
  opendatabase in 'opendatabase.pas' {FOpenDatabase},
  aboutform in 'aboutform.pas' {FAbout},
  ibresto in 'ibresto.pas' {FIBRestore},
  ibproces in 'ibproces.pas' {FIBProces},
  diaser in 'diaser.pas' {FService},
  backupdatabase in 'backupdatabase.pas' {FBackup},
  repairdatabase in 'repairdatabase.pas' {FRepair},
  databasestat in 'databasestat.pas' {FStatistics},
  serverprops in 'serverprops.pas' {FServerProps},
  newdbfile in 'newdbfile.pas' {Fnewsecfile},
  newshadow in 'newshadow.pas' {FNewShadow},
  modibase in 'modibase.pas' {FMOdibase},
  ibnewus in 'ibnewus.pas' {FIBNewUser},
  userman in 'userman.pas' {FUserman},
  ibutil2 in 'ibutil2.pas' {FIBUtil2},
  ibnewdom in 'ibnewdom.pas' {FIBNewDom},
  domadvanced in 'domadvanced.pas' {FDomadvanced},
  ibexecsql in 'ibexecsql.pas' {FExecSQL},
  ibtranop in 'ibtranop.pas' {FIBTranOp},
  tablenew in 'tablenew.pas' {FTablenew},
  tabledepen in 'tabledepen.pas' {FTabledepen},
  fieldprop in 'fieldprop.pas' {FFieldprop},
  ibnewconstraint in 'ibnewconstraint.pas' {FNewconstraint},
  newtrigger in 'newtrigger.pas' {FnewTrigger},
  newview in 'newview.pas' {FNewView},
  newstored in 'newstored.pas' {FNewStored},
  altergenerator in 'altergenerator.pas' {FAltergenerator},
  newexception in 'newexception.pas' {FNewException},
  newblobfilter in 'newblobfilter.pas' {FNewBlobFilter},
  newfunction in 'newfunction.pas' {FNewFunction},
  roleaccess in 'roleaccess.pas' {FRoleAccess},
  newgrant in 'newgrant.pas' {FNewgrant},
  metaextract in 'metaextract.pas' {FMetaextract},
  ibidxnew in 'ibidxnew.pas' {FIndexNew},
  ibidxstat in 'ibidxstat.pas' {FIBIndexStat},
  rpviewblob in 'ibpack/rpviewblob.pas' {FViewBlob},
  rpparamdef in 'ibpack/rpparamdef.pas' {Fparamdef},
  ibman in 'ibpack/ibman.pas' {FCopyProgressIB};

begin
  Application.Initialize;
  Application.Title := 'Interbase intuitive access interface';
  with Application do
   Title := SRpTitle;
//  Application.HelpFile := 'IBAccess.chm';
Application.CreateForm(TFMain, FMain);
   Application.Run;
end.
