{*******************************************************}
{                                                       }
{       ibmanst                                           }
{       TIbManager component                            }
{       Strings for interbase manager component         }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}


unit ibmanst;

interface

resourcestring
   SIError='Error';
   SIBComunError='Comunication error in creation';
   SIBBackup='Backup';
   SIBErrorCreatePr='Error in backup processing';
   SIBNoResult='Without result';
   SIBBusy='Server busy';
   SIBCopyError='Error in database copy';
   SIBRepairing='Repair database';
   SIBEnable='Enabling cache';
   SIBDisable='Disabling cache';
   SIBSweep='Compacting database';
   SIBNotInstalled='Interbase not installed';
   SIBOK='OK';
   SIBCancel='&Cancel';
   SIBCanceled='Operation aborted';
   SIBUsersConnected1='There are connected users';
   SIBUsersConnected2='The database users must disconnect';
   SIBRestoring='Restoring database';
   SIBProgress='Progress';
   SIBSetSweep='Setting sweep interval';
   SIBSetCachePages='Setting cache pages';
   SIBWaitforusers='Waiting for users to disconnect';
   SIBShutdown='Disconnecting from database';
   SIBBringonline='Bring database online';

   SIBPipeError='Error in proces comunication';
   SIBWaitEnd='Waiting for the end of process';
   SIBEspefiles='You must provide a database or filename';
   SIBEspefile='You must provide the file to restore';
   SIBSecTamany='You must specify the size of all files (last file size not required)';
   SIBAlmenysun='You must specify one file';
   SIBLicencia='Invalid license';
   SIBErrorNil='GetDbparams nil';
   SIBAliasDuplicat='Duplicated alias';
   SIBErrorSYSDBA='You can''t delete SYSDBA user';
   SIBNewUser='New user';
   SIBModifyUser='Alter user';
   SIBDeleteUSer='Delete user';
   SIBUsuincorrect='User name incorrect';
   SIBCOnfirmincorrect='Password confirmation incorrect';
   SIBYes='Yes';
   SIBNo='No';
   SIBPrimarykey='Primary key';
   SIBForeignKey='Foreign key';
   SIBCheck='Check';
   SIBUnique='Unique';
   SIBNotNull='Not null';
   SIBDIalectdown='Can not stablish correct dialect';
   SIBDIalect='Changing dialect';
   SIBStatistics='Retrieving statistics';
   SIBReadonly='Changing read only property';
   SIBTooManyParams='Too many parameters';
   SIBErrorFork='Error creating proces';
   SIBErrorCreatePipe='Error creating pipe';
implementation

end.
