{*******************************************************}
{                                                       }
{       rpstdutils                                      }
{       Some custom routines and utilities              }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit rpstdutils;

interface


uses
  SysUtils, Classes;


  // Generates a new name for a component
  procedure Generatenewname(Component:TComponent);

implementation


procedure Generatenewname(Component:TComponent);
var i:integer;
    name1:string;
begin
 i:=0;
 name1:=Component.ClassName;
 while (nil<>Component.Owner.FindComponent(name1+IntToStr(i))) do
  inc(i);
 Component.Name:=name1+IntToStr(i);
end;

end.
