{*******************************************************}
{                                                       }
{       IBAccess                                        }
{       Constants to localize                           }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit ibacconst;

interface

resourcestring
 SRpFileNameRequired='A file name is required';
 SRpAtLeastOne='At least one file must be specified';
 SRpSpecsize='You must specify a size';
 SRpIncorrectsize='Incorrect file size';
 SRpYes='Yes';
 SRpNo='No';

 SRpOperationAborted='Operation aborted';
 SRpDomains='Domains';
 SRpServiceRunning='The service is still running, you can not exit because Interbase can''t stop the service.';
 SRpInvalidFieldValue='Invalid value';
 SRpNoTransactionsinlimbo='No transactions in limbo';
 SRpValidTransId='You must provide a valid transaction ID';
 SRpTitle='Interbase intuitive access interface';

 SRpAddSec='Are you sure you want to add a secondary file?';
 SRpNewuser='New user';
 SRpModifyuser='Modify user';
 SRpDatabase='Database';
 SRpExecSQL='ExecSQL';
 SRpWindow='Window';
 SRpTablenew='New table';
 SRpnewtrigger='New trigger';
 SRpnewstored='New stored';
 SRpRoleAccess='Role access';
 SRpTable='Table';
 SRpView='View';
 SRPTrigger='Trigger';
 SRPComputedfield='Computed field';
 SRpValidation='Validation';
 SRpProcedure='Procedure';
 SRpExpresionIndex='Expresion index';
 SRpException='Exception';
 SRpUser='User';
 SRpField='Field';
 SRpIndex='Index';
 SRpDomainName='You must set a domain name';
 SRpDomainnotfound='Domain not found';
 SRpModifydomain='Modify domain';
 SrpWorkingdb='Working database can''t be removed';
 SrpWorkingdbnoadd='You can''t add the working db twice';
 SRpTransActive='There is an active transaction, do you want to commit the transaction?';
 SRpTables='Tables';

 SRpDeltable='Are you sure you want to delete table %s?'+
  #10+'All Data will be lost';
 SRpMOdifyField='Modify field';
 SRpNewTable='New table';
 SRpNoindexestorecompute='No indexes to recompute';
 SRpActivate='Activate';
 SRpDeActivate='Deactivate';
 SRpNoFieldsSelected='No fields selected';
 SRpNoTableSelected='No table selected';
 SRpBadConstraintCreated='Some rows not comply the check constraint, you should remove the constraint'+
  #10+' or a database update or restore will fail';
 SRpFields='Fields';
 SRpRemovefield='Are you sure you want to delete field %s?'+
  #10+'All Data will be lost';
 SrpRenamefield='Rename field';
 SrpNewname='Enter new name';
 SRpEnterComputed='Enter the computed expression';
 SRpSelectDomain='You must select a domain';
 SrpUnknown='Unknown';
 SRpTriggermusthavename='The trigger must have a name';
 SRpTriggerExists='The trigger already exists, overwrite declaration?';
 SrpSaveTrigger='Trigger %s changed, save changes?';
 SRpViews='Views';
 SRpViewDependences='View dependences';
 SRpDelView='Are you sure you want to delete view %s?';
 SRpViewMusthavename='The view must have a name';
 SRpStoreds='Stored procedures';
 SRpProcDependences='Stored procedure dependences';
 SRpDelProc='Are you sure you want to delete procedure %s?';
 SrpSaveProc='Procedure %s changed, save changes?';
 SRpNewProcedure='New procedure';
 SRpMissingFieldType='Missing field type';
 SRpSizeMustBeSpecified='Size must be specified';
 SRpDecimalsMustBeSpecified='Decimals must be specified';
 SRpUnsuportedType='Unsupported type: %s';
 SRpProcExists='The procedure already exists, overwrite declaration?';
 SRpGenerators='Generators';
 SRpNewGenerator='New generator';
 SrpGeneratorName='Generator name';
 SRpDelGenerator='If the generator is used in the database, the database will be corrupt.'+
  #10+'Drop generator %s?';
 SRpExceptions='Exceptions';
 SRpUserfunctions='User defined functions';
 SRpBlobFilters='Blob filters';
 SRpRoles='User roles';
 SRpNewRole='Create a new role';
 SrpRolename='Role name';
 SRpAlterException='Alter exception';
 SRpExcepDependences='Exception dependences';
 SRpRecordSize='Record size';
 SrpAccesscontrol='Access control list';
 SRpSelectDBObject='You must select a database object';
 SRpGrantObject='You must select a grant object';
 SRpAllPrivileges='All privileges';
 SRpSelect='Select';
 SRpDelete='Delete';
 SRpInsert='Insert';
 SRpUpdate='Update';
 SRpReferences='References';
 SRpDialectDowngrade='Dialect downgraded';

implementation

end.
