{*******************************************************}
{                                                       }
{       rpdconsts                                       }
{       Resource strings for ibpack package             }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit rpdconsts;

interface

uses
  SysUtils, Classes;


resourcestring
  SRpError='Error';
  SRpFileNameRequired='File name required to adquire config file';
  SRpAliasExists='The database alias already exists: ';


  SRpInvalidComponentAssigment='Error assigning the type must be a valid database';
  SRpNewDatabaseconf='New database alias configuration';
  SRpEnterTheName='Enter the alias';
  SRpChangeAliasConf='Rename the database configuration alias';
  SRpEnterTheNewName='Enter the new name';
  SRpDatabaseAliasNull='A database alias cannot be null';
  SRpDatabasenotassined='There is not database to connect/disconnect in alias';
  SRpConnectionsuccesfull='Connection Test OK';
  SRpSaveChanges='Save changes?';

  SRpCut='Cut';
  SRpCopy='Copy';
  SRpPaste='Paste';
  SRpSaveImage='Save image';
  SRpSaveas='Save';
  SRpAcquire='Acquire';
  SRpOpen='Open';
  SRpOpenImage='Open image';
  SRpCurrentformat='Image format';
  SRpSaveImageFormat='Save format';
  SRpUnknown='Unknown';
  SRpBitmap='Bitmap';
  SRpJPeg='JPeg';
  SRpGif='Gif';
  SRpNoAdquire='Not adquired';
  SRpNoLoadedTWAIN='TWAIN not loaded';
  SRpBinary='Binary';
implementation


end.
