{*******************************************************}
{                                                       }
{       IBAccess                                        }
{       New table and alter table                       }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit tablenew;

interface

uses
  SysUtils, Classes, ibutil2,IBDatabase,  Db,
  IBSQL, QMask,QGraphics,QDialogs,
  ibacconst, IBCustomDataSet, IBTable, ibacutils,IBQuery, DBClient, QMenus, QTypes, QActnList, QStdCtrls,
  QDBCtrls, QControls, QExtCtrls, QForms, QComCtrls, QButtons, QGrids,
  QDBGrids,Qt, QImgList;

const
 C_DISTCONTROLY=10;
 C_DISTCONTROLX=10;
type
  TEditTableprefsitems=(fetgridedit,fetautocommit,fetresync,fetopenreadonly);
  TEditTableprefs=set of TEditTableprefsitems;

  TFTablenew = class(TForm)
    PControl: TPageControl;
    Tabfields: TTabSheet;
    TabData: TTabSheet;
    SFields: TDataSource;
    TabIndices: TTabSheet;
    Tabconstraints: TTabSheet;
    TabTriggers: TTabSheet;
    IBSQL1: TIBSQL;
    IBTransaction1: TIBTransaction;
    Griddata: TDBGrid;
    DFields: TClientdataset;
    DFieldsFIELDNAME: TStringField;
    DFieldsDESCRIPTION: TStringField;
    DFieldsNULLS: TStringField;
    DFieldsCHECK: TStringField;
    DFieldsDEFAULT: TStringField;
    DFieldsCOMPUTED: TStringField;
    DFieldsCHARACTER_SET: TStringField;
    DFieldsCOLLATION: TStringField;
    DFieldsSUBTYPE: TIntegerField;
    DFieldsSEGSIZE: TIntegerField;
    DFieldsSIZEBYTES: TIntegerField;
    ActionList1: TActionList;
    ANewtrans: TAction;
    ACommit: TAction;
    ARollback: TAction;
    ATranops: TAction;
    AAutocommit: TAction;
    ACommitret: TAction;
    BarraNav: TToolBar;
    ToolButton11: TToolButton;
    BBegin: TToolButton;
    ToolButton12: TToolButton;
    BAceptar: TToolButton;
    ToolButton13: TToolButton;
    BCancel: TToolButton;
    ToolButton14: TToolButton;
    ToolButton2: TToolButton;
    ToolButton1: TToolButton;
    Trans: TIBTransaction;
    DBNavigator1: TDBNavigator;
    IBTable1: TIBTable;
    STable1: TDataSource;
    Panel3: TPanel;
    Label3: TLabel;
    ComboIndex: TComboBox;
    MainMenu1: TMainMenu;
    MTrans: TMenuItem;
    Transactionoptions1: TMenuItem;
    N1: TMenuItem;
    Rollback1: TMenuItem;
    Commitretaining1: TMenuItem;
    Commit1: TMenuItem;
    Newtransaction1: TMenuItem;
    MPrefs: TMenuItem;
    Autocommit1: TMenuItem;
    ToolButton3: TToolButton;
    AResyncrecord: TAction;
    Resyncrecord1: TMenuItem;
    AProgInterval100: TAction;
    AProgInterval10: TAction;
    AProgInterval1: TAction;
    Progresinterval1: TMenuItem;
    N1001: TMenuItem;
    N101: TMenuItem;
    N11: TMenuItem;
    DIndex: TClientdataset;
    DIndexINDEXNAME: TStringField;
    DIndexFIELDS: TStringField;
    DIndexUNIQUE: TStringField;
    DIndexACTIVE: TStringField;
    DIndexFIELDCOUNT: TIntegerField;
    DIndexSTATISTICS: TFloatField;
    DIndexDESCENDING: TStringField;
    GridIndex: TDBGrid;
    Panel2: TPanel;
    Gridfields: TDBGrid;
    PUpdown: TPanel;
    BDown: TBitBtn;
    BUp: TBitBtn;
    ToolBar1: TToolBar;
    SIndex: TDataSource;
    BNewIndex: TBitBtn;
    BRemoveIndex: TBitBtn;
    ToolButton4: TToolButton;
    BActivate: TButton;
    ToolButton5: TToolButton;
    BRecomputeall: TButton;
    ToolButton6: TToolButton;
    BRecomp: TButton;
    Gridcons: TDBGrid;
    ToolBar2: TToolBar;
    BNewconstraint: TBitBtn;
    BRemoveconstraint: TBitBtn;
    DConst: TClientdataset;
    SConst: TDataSource;
    DConstNAME: TStringField;
    DConstTYPE: TStringField;
    DConstUPDATE: TStringField;
    DConstFIELD: TStringField;
    DConstDELETE: TStringField;
    DConstFIELDS: TStringField;
    DConstTABLE: TStringField;
    DConstINDEX: TStringField;
    DConstDESCRIPTION: TStringField;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    AGrid: TAction;
    AForm: TAction;
    ScrollForm: TScrollBox;
    MEdit: TMenuItem;
    Form1: TMenuItem;
    Grid1: TMenuItem;
    DFieldsFIELD: TStringField;
    DFieldsORDER: TIntegerField;
    ToolBar3: TToolBar;
    BNewTrig: TBitBtn;
    BRemovetrig: TBitBtn;
    ToolButton10: TToolButton;
    BActivateTrig: TButton;
    Dtrig: TClientdataset;
    Strig: TDataSource;
    Panel4: TPanel;
    DBTrigSource: TDBMemo;
    GridTrig: TDBGrid;
    Splitter1: TSplitter;
    DtrigNAME: TStringField;
    DtrigType: TStringField;
    DtrigPOSITION: TIntegerField;
    DtrigACTIVE: TStringField;
    DtrigSOURCE: TMemoField;
    Toolfields: TToolBar;
    BNewfield: TBitBtn;
    BRemovefield: TBitBtn;
    BModifyfield: TBitBtn;
    BModifytrig: TBitBtn;
    ToolButton15: TToolButton;
    BRenameField: TButton;
    Panel1: TPanel;
    LTablename: TLabel;
    LExternal: TLabel;
    LOwner: TLabel;
    ETablename: TEdit;
    EExternal: TEdit;
    EOwner: TEdit;
    DtrigFLAGS: TIntegerField;
    DtrigTYPEINT: TIntegerField;
    DtrigACTIVEBOOL: TBooleanField;
    AReadonly: TAction;
    AReadonly1: TMenuItem;
    IBQuery1: TIBQuery;
    IconImages: TImageList;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure PControlChange(Sender: TObject);
    procedure AAutocommitExecute(Sender: TObject);
    procedure ACommitretExecute(Sender: TObject);
    procedure ANewtransExecute(Sender: TObject);
    procedure ACommitExecute(Sender: TObject);
    procedure ARollbackExecute(Sender: TObject);
    procedure ATranopsExecute(Sender: TObject);
    procedure PControlChanging(Sender: TObject; var AllowChange: Boolean);
    procedure IBTable1AfterOpen(DataSet: TDataSet);
    procedure IBTable1AfterClose(DataSet: TDataSet);
    procedure IBTable1AfterPost(DataSet: TDataSet);
    procedure ComboIndexExit(Sender: TObject);
    procedure ComboIndexDropDown(Sender: TObject);
    procedure AResyncrecordExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure GriddataKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure AProgInterval1Execute(Sender: TObject);
    procedure AProgInterval10Execute(Sender: TObject);
    procedure AProgInterval100Execute(Sender: TObject);
    procedure DBNavigator1BeforeAction(Sender: TObject;
      Button: TNavigateBtn);
    procedure DIndexAfterScroll(DataSet: TDataSet);
    procedure BActivateClick(Sender: TObject);
    procedure BRecompClick(Sender: TObject);
    procedure BRecomputeallClick(Sender: TObject);
    procedure BRemoveIndexClick(Sender: TObject);
    procedure BNewIndexClick(Sender: TObject);
    procedure BNewconstraintClick(Sender: TObject);
    procedure BRemoveconstraintClick(Sender: TObject);
    procedure DConstAfterScroll(DataSet: TDataSet);
    procedure AGridExecute(Sender: TObject);
    procedure AFormExecute(Sender: TObject);
    procedure BUpClick(Sender: TObject);
    procedure BDownClick(Sender: TObject);
    procedure BRemovefieldClick(Sender: TObject);
    procedure BRenameFieldClick(Sender: TObject);
    procedure BNewfieldClick(Sender: TObject);
    procedure BNewTrigClick(Sender: TObject);
    procedure DtrigAfterScroll(DataSet: TDataSet);
    procedure BActivateTrigClick(Sender: TObject);
    procedure BModifytrigClick(Sender: TObject);
    procedure BRemovetrigClick(Sender: TObject);
    procedure BModifyfieldClick(Sender: TObject);
    procedure IBTable1BeforeOpen(DataSet: TDataSet);
    procedure AReadonlyExecute(Sender: TObject);
    procedure ETablenameChange(Sender: TObject);
  private
    { Private declarations }
    charwidth:integer;
    fbase:TIBDatabase;
    fforcreate:boolean;
    readedindexes:boolean;
    fisview:boolean;
    prog_interval:integer;
    objectlist:TStringList;
    buildedform:boolean;
    procedure LoadFields;
    procedure LoadIndexes;
    procedure LoadTriggers;
    procedure LoadConstraints;
    procedure ReadIndexes;
    procedure Setforcreate(Value:boolean);
    procedure Setdatabase(Value:TIBDatabase);
    function Checktrans:boolean;
    procedure LoadTable;
    procedure Golastrecord(Dia:TFFetching);
    procedure Endlastrecord;
    procedure Fetchindexes(dia:TFFetching);
    procedure FetchTriggers(dia:TFFetching);
    procedure FetchConstraints(dia:TFFetching);
    procedure Buildform;
    procedure Fillfieldsdetail(dia:TFFetching);
    procedure SetIsView(Value:boolean);
    procedure Removeallcomponents;
    procedure BuildIBQuery;
    function GetComboindexfields:string;
  public
    { Public declarations }
    table:string;
    isdestroying:boolean;
    dbform:TForm;
    property isview:boolean read fisview write setisview;
    property base:TIBDatabase read fbase write SetDatabase;
    property forcreate:boolean read fforcreate write Setforcreate;
  end;

var
  FTablenew: TFTablenew;

procedure IBDropTable(base:TIBDatabase;table:string);
procedure IBDropView(base:TIBDatabase;view:string);
procedure IBDropStored(base:TIBDatabase;stored:string);

implementation


uses mainform, ibtranop, ibidxstat, ibidxnew, ibnewconstraint,
  fieldprop,databaseform;

{$R *.xfm}

{$IFDEF MSWINDOWS}
function Calculatecharwidth(Canvas:TCanvas):integer;
var
 TM: TTextMetric;
begin
 if GetTextMetrics(Canvas.Handle, TM) then
  Result := TM.tmAveCharWidth
 else
  Result := 8;
end;
{$ENDIF}

{$IFDEF LINUX}
function Calculatecharwidth(Canvas:TCanvas):integer;
begin
 Result:=Canvas.TextWidth('M');
end;
{$ENDIF}

procedure IBDropTable(base:TIBDatabase;table:string);
begin
 if base.SQLDialect=3 then
  IBExecuteSQL(base,'DROP TABLE "'+table+'"')
 else
  IBExecuteSQL(base,'DROP TABLE '+table);
end;

procedure IBDropView(base:TIBDatabase;view:string);
begin
 if base.SQLDialect=3 then
  IBExecuteSQL(base,'DROP VIEW "'+view+'"')
 else
  IBExecuteSQL(base,'DROP VIEW '+view)
end;

procedure IBDropStored(base:TIBDatabase;stored:string);
begin
 if base.SQLDialect=3 then
  IBExecuteSQL(base,'DROP PROCEDURE "'+stored+'"')
 else
  IBExecuteSQL(base,'DROP PROCEDURE '+stored);
end;

procedure TFTablenew.FormClose(Sender: TObject; var Action: TCloseAction);
var
 i,j:integer;
 clist:tstringlist;
begin
 isdestroying:=true;
 for i:=0 to objectlist.count-1 do
 begin
  clist:=TStringList(Objectlist.objects[i]);
  for j:=0 to clist.count-1 do
  begin
    if assigned(TStringList(clist.objects[j])) then
     TStringList(clist.objects[j]).free;
    clist.objects[j]:=nil;
  end;
  clist.free;
 end;
 objectlist.free;
 Action:=cafree;
 if fmain.DWindows.Locate('WINDOW',integer(Self),[]) then
  fmain.DWindows.delete;
end;

procedure TFTablenew.Setdatabase(Value:TIBDatabase);
begin
 fbase:=Value;
 IBTransaction1.DefaultDatabase:=fbase;
 Trans.defaultdatabase:=fbase;
 IBTable1.database:=fbase;
 IBQuery1.database:=fbase;
 IBSQL1.database:=fbase;
 if forcreate then
 begin
  PControl.ActivePage:=Tabfields;
  PControlChange(Self);
 end
 else
 begin
  PControl.ActivePage:=TabData;
  PControlChange(Self);
 end;
end;

procedure TFTablenew.Setforcreate(Value:boolean);
begin
 fforcreate:=value;
 if forcreate then
 begin
  Tabdata.TabVisible:=false;
  TabIndices.Tabvisible:=false;
  TabConstraints.Tabvisible:=false;
  TabTriggers.Tabvisible:=false;
  ActiveControl:=ETablename;
  if fisview then
   helpcontext:=420
  else
   helpcontext:=330;
 end
 else
 begin
  Etablename.text:=table;
  Etablename.readonly:=true;
  ETablename.color:=clinfobk;
  EExternal.color:=clinfobk;
  EExternal.readonly:=true;
  EExternal.visible:=false;
  LExternal.visible:=false;
  EOwner.visible:=false;
  LOwner.visible:=false;
  if fisview then
   helpcontext:=440
  else
   helpcontext:=350;
 end;
end;

procedure TFTablenew.PControlChange(Sender: TObject);
begin
 if not assigned(Mtrans) then
  exit;
 Mtrans.visible:=false;
 MEdit.visible:=False;
 Mprefs.visible:=false;
 // Disables actions
 ANewtrans.enabled:=false;
 ACommit.enabled:=false;
 ACommitret.enabled:=false;
 ARollback.enabled:=false;
 ATranops.enabled:=false;
 AAutocommit.enabled:=false;
 AResyncrecord.enabled:=false;
 AReadonly.enabled:=False;
 AGrid.enabled:=false;
 AForm.enabled:=false;
 // Closes all the data and transactions
 DIndex.Active:=false;
 DConst.Active:=false;
 DFields.Active:=FalsE;
 DTrig.active:=false;

 // Reloads information
 if PControl.ActivePage=TabFields then
 begin
  if fisview then
   helpcontext:=430
  else
  begin
   If fforcreate then
   begin
    helpcontext:=330;
   end
   else
   begin
    helpcontext:=340;
   end;
  end;
  LoadFields;
  exit;
 end;
 if PControl.ActivePage=TabData then
 begin
  if fisview then
   helpcontext:=440
  else
   helpcontext:=350;
  LoadTable;
  exit;
 end;
 if PControl.ActivePage=TabIndices then
 begin
  helpcontext:=360;
  LoadIndexes;
  exit;
 end;
 if PControl.ActivePage=TabConstraints then
 begin
  helpcontext:=370;
  LoadConstraints;
  exit;
 end;
 if PControl.ActivePage=TabTriggers then
 begin
  if fisview then
   helpcontext:=450
  else
   helpcontext:=380;
  LoadTriggers;
  exit;
 end;
end;

procedure TFTablenew.LoadTable;
begin
 // Loads Table data
 AGrid.enabled:=True;
 AForm.enabled:=True;
 Mtrans.visible:=True;
 MEdit.visible:=True;
 MPrefs.visible:=True;
 IBTable1.tablename:=table;
 // Disables actions
 AAutocommit.enabled:=True;
 AResyncrecord.enabled:=Not Areadonly.checked;
 AReadonly.enabled:=true;
 ANewtrans.enabled:=True;
 ATranops.enabled:=true;
{ ANewtrans.Execute;
 try
  IBTable1.Active:=true;
 except
  ARollback.execute;
  Raise;
 end;
}end;

procedure TFTablenew.LoadFields;
begin
 // Loads field information
 DFields.close;
 DFields.createdataset;
 ExecuteActionProgres(Fillfieldsdetail,true,nil);
 if (DFields.EOF AND DFields.BOF) then
 begin
  EOwner.text:='';
  EExternal.Readonly:=false;
  EExternal.color:=clwindow;
  Etablename.readonly:=false;
  Etablename.color:=clwindow;
  Tabdata.TabVisible:=false;
  TabIndices.Tabvisible:=false;
  TabConstraints.Tabvisible:=false;
  TabTriggers.Tabvisible:=false;
 end
 else
 begin
  EExternal.Readonly:=True;
  EExternal.color:=clinfobk;
  Etablename.readonly:=True;
  Etablename.color:=clinfobk;
  Tabdata.TabVisible:=True;
  TabIndices.Tabvisible:=not fisview;
  TabConstraints.Tabvisible:=not fisview;
  TabTriggers.Tabvisible:=True;
 end;
end;



procedure TFTablenew.AAutocommitExecute(Sender: TObject);
begin
 AAutocommit.checked:=Not AAutocommit.checked;
end;

procedure TFTablenew.ACommitretExecute(Sender: TObject);
begin
 Trans.commitretaining;
 ARollback.enabled:=True;
 ACommitret.enabled:=True;
 ACommit.enabled:=True;
 ANewtrans.enabled:=False;
 ATranops.enabled:=False;
end;

procedure TFTablenew.ANewtransExecute(Sender: TObject);
begin
 readedindexes:=false;
 Trans.StartTransaction;
 ACommit.Enabled:=true;
 ACommitret.Enabled:=true;
 ARollback.enabled:=true;
 ANewtrans.enabled:=False;
 ATranops.enabled:=False;
 if AReadonly.checked then
 begin
  STable1.dataset:=IBQuery1;
  Buildibquery;
  IBQuery1.active:=true;
 end
 else
 begin
  STable1.dataset:=IBTable1;
  IBTable1.IndexFieldNames:=COmboIndex.Text;
  IBTable1.active:=True;
 end;
end;

procedure TFTablenew.ACommitExecute(Sender: TObject);
begin
 Trans.commit;
 ARollback.enabled:=false;
 ACommitret.enabled:=false;
 ACommit.enabled:=false;
 ANewtrans.enabled:=true;
 ATranops.enabled:=true;
 IBTable1.active:=False;
 IBQuery1.active:=false;
end;

procedure TFTablenew.ARollbackExecute(Sender: TObject);
begin
 Trans.Rollback;
 ARollback.enabled:=false;
 ACommit.enabled:=false;
 Acommitret.enabled:=false;
 ANewtrans.enabled:=true;
 ATranops.enabled:=True;
end;

procedure TFTablenew.ATranopsExecute(Sender: TObject);
begin
 IBModifyTransaction(Trans,fmain.dblist);
end;

procedure TFTablenew.PControlChanging(Sender: TObject;
  var AllowChange: Boolean);
begin
 try
  if PControl.activepage=TabData then
  begin
   allowchange:=CheckTrans;
  end;
 except
  allowchange:=false;
  Raise;
 end;
end;

function TFTablenew.Checktrans:boolean;
var
 res:TModalresult;
begin
 Result:=True;
 if ACommit.enabled then
 begin
  res:=Messagedlg(SRpTransActive,mtWarning,[mbYes,mbNo,mbcancel],0);
  if res=mrYes then
   ACommit.Execute
  else
   if res=mrNo then
    ARollback.Execute
   else
    Result:=false;
 end;
end;

procedure TFTablenew.IBTable1AfterOpen(DataSet: TDataSet);
begin
 if Not AReadonly.checked then
 begin
  if IBTable1.Readonly then
   Griddata.color:=clinfobk
  else
   Griddata.color:=clWindow;
 end
 else
  Griddata.color:=clinfobk;
 if AGrid.checked then
 begin
  SCrollForm.visible:=false;
  Griddata.visible:=true;
 end
 else
 begin
  Griddata.visible:=False;
  SCrollForm.visible:=True;
  BuildForm;
 end;
end;

procedure TFTablenew.IBTable1AfterClose(DataSet: TDataSet);
begin
 Griddata.visible:=false;
 ScrollForm.Visible:=false;
 Buildedform:=false;
 Removeallcomponents;
end;

procedure TFTablenew.IBTable1AfterPost(DataSet: TDataSet);
begin
 if AAutocommit.checked then
 begin
  ACommitret.execute;
 end;
end;

procedure TFTablenew.BuildIBQuery;
begin
 IBQuery1.SQL.Text:='SELECT * FROM '+table;
 if Length(Trim(ComboIndex.text))>0 then
 begin
  IBQuery1.SQL.Text:=IBQuery1.SQL.Text+' ORDER BY '+ComboIndex.text;
 end;
end;

procedure TFTablenew.ComboIndexExit(Sender: TObject);
begin
 if ((Not Areadonly.checked) AND (IBTable1.IndexFieldNames=ComboIndex.text)) then
  exit;
 if ANewtrans.Enabled then
  exit;
 if AReadonly.checked then
 begin
  IBQuery1.Afterclose:=nil;
  IBQuery1.Close;
  IBQuery1.Afterclose:=IBTable1Afterclose;
  BuildIBQuery;
  IBQuery1.Afteropen:=nil;
  IBQuery1.Open;
  IBQuery1.Afteropen:=IBTable1afteropen;
 end
 else
 begin
  if AResyncrecord.checked then
  begin
   IBTable1.indexfieldnames:=GetComboIndexfields;
  end
  else
  begin
   IBTable1.Afterclose:=nil;
   IBTable1.close;
   IBTable1.Afterclose:=IBTable1Afterclose;
   IBTable1.indexfieldnames:=GetComboIndexfields;
   IBTable1.Afteropen:=nil;
   IBTable1.Open;
   IBTable1.Afteropen:=IBTable1afteropen;
  end;
 end
end;

function TFTablenew.GetComboindexfields:String;
var
 index:integer;
begin
 Result:=ComboIndex.texT;
 index:=pos(',',Result);
 While (index>0) do
 begin
  result[index]:=';';
  index:=pos(',',Result);
 end;
end;

procedure TFTablenew.ComboIndexDropDown(Sender: TObject);
begin
 ReadIndexes;
end;

procedure TFTablenew.ReadIndexes;
var
 indexname,astring:string;
begin
 if readedindexes then
  exit;
 IBTransaction1.StartTransaction;
 try
  IBSQL1.SQL.text:='SELECT I.RDB$INDEX_NAME,I.RDB$INDEX_TYPE,L.RDB$FIELD_NAME,'+
   ' L.RDB$FIELD_POSITION '+
   ' FROM RDB$INDICES I '+
   ' LEFT OUTER JOIN RDB$INDEX_SEGMENTS L '+
   ' ON L.RDB$INDEX_NAME=I.RDB$INDEX_NAME '+
   ' WHERE I.RDB$RELATION_NAME='''+table+
   ''' ORDER BY L.RDB$INDEX_NAME,L.RDB$FIELD_POSITION';
  IBSQL1.ExecQuery;
  indexname:='';
  ComboIndex.Items.clear;
  astring:='';
  While not IBSQL1.EOF do
  begin
   if indexname<>Trim(IBSQL1.FieldByName('RDB$INDEX_NAME').AsString) then
   begin
    if astring<>'' then
     COmboIndex.items.add(astring);
    indexname:=Trim(IBSQL1.FieldByName('RDB$INDEX_NAME').AsString);
    astring:=Trim(IBSQL1.FieldByName('RDB$FIELD_NAME').AsString);
    if Not IBSQL1.FieldByName('RDB$INDEX_TYPE').Isnull then
     if IBSQL1.FieldByName('RDB$INDEX_TYPE').AsInteger=1 then
      astring:=astring+' DESC';
   end
   else
   begin
    if astring='' then
     astring:=astring+Trim(IBSQL1.FieldByName('RDB$FIELD_NAME').AsString)
    else
     astring:=astring+','+Trim(IBSQL1.FieldByName('RDB$FIELD_NAME').AsString);
    if Not IBSQL1.FieldByName('RDB$INDEX_TYPE').Isnull then
     if IBSQL1.FieldByName('RDB$INDEX_TYPE').AsInteger=1 then
      astring:=astring+' DESC';
   end;
   IBSQL1.Next;
  end;
  if astring<>'' then
   COmboIndex.items.add(astring);
 finally
  IBTransaction1.Rollback;
 end;
end;


procedure TFTablenew.AResyncrecordExecute(Sender: TObject);
begin
 AResyncrecord.checked:=Not AResyncrecord.checked;
end;

procedure TFTablenew.FormCreate(Sender: TObject);
begin
 objectlist:=TStringlist.Create;
 prog_interval:=100;
 charwidth:=Calculatecharwidth(Self.Canvas);
// SendMessage(ComboIndex.handle,CB_SETDROPPEDWIDTH ,350,0);
 Height:=400;
 with fmain do
 begin
  if (fetgridedit in edittableprefs) then
   Agrid.Execute;
  if (fetautocommit in edittableprefs) then
   AAutocommit.Execute;
  if (fetresync in edittableprefs) then
   AResyncrecord.Execute;
  if (fetopenreadonly in edittableprefs) then
   AReadonly.Execute;
 end;
end;

procedure TFTablenew.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
 try
  Canclose:=CheckTrans;
 except
  On E:Exception do
  begin
   Messagedlg(E.Message,mtError,[mbok],0);
   canclose:=true;
  end;
 end;
end;

procedure TFTablenew.GriddataKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if (KEY=Key_END) and (ssCtrl in Shift) then
 begin
  Key:=0;
  STable1.dataset.disablecontrols;
  ExecuteActionProgres(GoLastrecord,true,EndLastRecord);
 end;
end;

procedure TFTableNew.Golastrecord(Dia:TFFetching);
var
 counter:integer;
begin
 counter:=0;
 While Not STable1.dataset.EOF do
 begin
  STable1.dataset.Next;
  inc(counter);
  if (counter mod PROG_INTERVAL)=0 then
  begin
   dia.IncFetch(PROG_INTERVAL);
  end;
 end;
end;

procedure TFTablenew.Endlastrecord;
begin
 STable1.dataset.enablecontrols;
end;

procedure TFTablenew.AProgInterval1Execute(Sender: TObject);
begin
 AProgInterval100.checked:=false;
 AProgInterval10.checked:=false;
 AProgInterval1.checked:=True;
 prog_interval:=1;
end;

procedure TFTablenew.AProgInterval10Execute(Sender: TObject);
begin
 AProgInterval100.checked:=false;
 AProgInterval10.checked:=True;
 AProgInterval1.checked:=False;
 prog_interval:=10;
end;

procedure TFTablenew.AProgInterval100Execute(Sender: TObject);
begin
 AProgInterval100.checked:=True;
 AProgInterval10.checked:=false;
 AProgInterval1.checked:=False;
 prog_interval:=100;
end;

procedure TFTablenew.DBNavigator1BeforeAction(Sender: TObject;
  Button: TNavigateBtn);
begin
 if Button=nbLast then
 begin
  Stable1.dataset.disablecontrols;
  ExecuteActionProgres(GoLastrecord,true,EndLastRecord);
 end;
end;

procedure TFTablenew.Fetchindexes(dia:TFFetching);
begin
 FillIndexInfos(base,table,DIndex,dia);
end;

procedure TFTablenew.LoadIndexes;
begin
 DIndex.close;
 DIndex.createdataset;
 Executeactionprogres(Fetchindexes,true,nil);
end;

procedure TFTablenew.LoadConstraints;
begin
 DConst.close;
 DConst.createdataset;
 Executeactionprogres(Fetchconstraints,true,nil);
end;


procedure TFTablenew.DIndexAfterScroll(DataSet: TDataSet);
begin
 if (DIndex.eof and DIndex.bof) then
 begin
  BActivate.enabled:=false;
  BRemoveIndex.enabled:=false;
  BRecomp.enabled:=false;
  BRecomputeall.enabled:=false;
 end
 else
 begin
  BActivate.enabled:=True;
  if DINdexActive.Value=SRpNo then
   BActivate.caption:=SRpActivate
  else
   BActivate.caption:=SRpDeActivate;
  BRecomp.enabled:=True;
  BRecomputeall.enabled:=True;
  BRemoveIndex.enabled:=True;
 end;
end;

procedure TFTablenew.BActivateClick(Sender: TObject);
var
 indexname:string;
 action:string;
 adeli:String;
begin
 if not dindex.active then
  exit;
 if (DIndex.EOF AND DIndex.BoF) then
  Exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 indexname:=DINdexINDEXNAME.AsString;
 if BACtivate.caption=SRPActivate then
  action:='ACTIVE'
 else
  action:='INACTIVE';
 IBTransaction1.starttransaction;
 try
  IBSQL1.SQL.text:='ALTER INDEX '+adeli+indexname+adeli+' '+action;
  IBSQL1.ExecQuery;
  IBTransaction1.Commit;
 except
  IBTransaction1.rollback;
  raise;
 end;
 DINdex.Active:=false;
 LoadIndexes;
 DIndex.locate('INDEXNAME',indexname,[]);
end;

procedure TFTablenew.BRecompClick(Sender: TObject);
var
 indexname:string;
begin
 if not dindex.active then
  exit;
 if (DIndex.EOF AND DIndex.BoF) then
  Exit;
 ibrecomputeindexstat(base,table,dindexindexname.asstring);
 indexname:=DindexINDEXNAME.AsString;
 Dindex.active:=false;
 LoadIndexes;
 DIndex.locate('INDEXNAME',indexname,[]);
end;

procedure TFTablenew.BRecomputeallClick(Sender: TObject);
var
 indexname:string;
begin
 if not dindex.active then
  exit;
 if (DIndex.EOF AND DIndex.BoF) then
  Exit;
 ibrecomputeindexstat(base,table,'');
 indexname:=DindexINDEXNAME.AsString;
 Dindex.active:=false;
 LoadIndexes;
 DIndex.locate('INDEXNAME',indexname,[]);
end;

procedure TFTablenew.BRemoveIndexClick(Sender: TObject);
var
 adeli:string;
begin
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 if not dindex.active then
  exit;
 if (DIndex.EOF AND DIndex.BoF) then
  Exit;
 IBTransaction1.starttransaction;
 try
  IBSQL1.SQL.text:='DROP INDEX '+adeli+DINdexINDEXNAME.AsString+adeli;
  IBSQL1.ExecQuery;
  IBTransaction1.Commit;
 except
  IBTransaction1.rollback;
  raise;
 end;
 DINdex.Active:=false;
 LoadIndexes;
end;

procedure TFTablenew.BNewIndexClick(Sender: TObject);
begin
 if ibnewindex(base,table) then
 begin
  DIndex.active:=false;
  LoadIndexes;
 end;
end;

procedure TFTablenew.BNewconstraintClick(Sender: TObject);
begin
 if ibcreateconstraint(base,table) then
 begin
  DConst.active:=false;
  LoadConstraints;
 end;
end;

procedure TFTablenew.Fetchconstraints(dia:TFFetching);
begin
 FillCheckInfos(base,table,DConst,dia);
end;

procedure TFTablenew.BRemoveconstraintClick(Sender: TObject);
var
 adeli:string;
begin
 if not dconst.active then
  exit;
 if (Dconst.EOF AND Dconst.BoF) then
  Exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 IBTransaction1.starttransaction;
 try
  IBSQL1.SQL.text:='ALTER TABLE '+adeli+table+adeli+
   ' DROP CONSTRAINT '+adeli+DConstNAME.AsString+adeli;
  IBSQL1.ExecQuery;
  IBTransaction1.Commit;
 except
  IBTransaction1.rollback;
  raise;
 end;
 DConst.Active:=false;
 LoadConstraints;
end;

procedure TFTablenew.DConstAfterScroll(DataSet: TDataSet);
begin
 if (DConst.eof and DConst.bof) then
 begin
  BRemoveConstraint.enabled:=false;
 end
 else
 begin
  BRemoveConstraint.enabled:=True;
 end;
end;



procedure TFTablenew.Buildform;
var
 i,j,y:integer;
 clist:TStringlist;

procedure AddControlsForField(Field:TField;alist:TStringList);
var
 control:TControl;
 label1:TLabel;
 otherwidth:integer;
begin
 if Field.DataType in [ftString,ftFixedChar, ftWideString,
  ftSmallint..ftWord,ftLargeInt,ftAutoInc,ftBoolean,ftFloat,
  ftCurrency,ftBCD,ftMemo,ftFmtMemo,ftDate,ftTime,ftDateTime,
  ftBytes, ftVarBytes, ftBlob,ftGraphic, ftTypedBinary] then
 begin
  label1:=TLabel.Create(Self);
  label1.Left:=C_DISTCONTROLX+2;
  y:=y+C_DISTCONTROLY;
  label1.Top:=y;
  label1.caption:=Field.fieldname;
  label1.parent:=Scrollform;
  alist.addobject(Field.fieldname,label1);
  y:=y+label1.Height;
 end;
 case Field.DataType of
  ftString,ftFixedChar, ftWideString:
   begin
    Field.DisplayWidth:=field.Size;
    Control:=TDBEdit.Create(Self);
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*(field.size+1);
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftSmallint..ftWord,ftLargeInt:
   begin
    TNumericField(Field).DisplayFormat:='###,######';
    Field.DisplayWidth:=11;
    Control:=TDBEdit.Create(Self);
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftAutoInc:
   begin
    TNumericField(Field).DisplayFormat:='###,######';
    Field.DisplayWidth:=11;
    Control:=TDBEdit.Create(Self);
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    TIntegerField(Field).displayformat:='###,######';
    TDBEDit(Control).Readonly:=True;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftBoolean:
   begin
    Field.DisplayWidth:=10;
    Control:=TDBCheckBox.Create(Self);
    TDBCheckBox(Control).datasource:=STable1;
    TDBCheckBox(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*11;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBCheckBox(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftFloat:
   begin
    Field.DisplayWidth:=14;
    TNumericField(Field).DisplayFormat:='###,######.################';
    Control:=TDBEdit.Create(Self);
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*15;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftCurrency:
   begin
    Field.DisplayWidth:=14;
    Control:=TDBEdit.Create(Self);
    TNumericField(Field).DisplayFormat:='###,######.################';
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*15;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftBCD:
   begin
    Field.DisplayWidth:=14;
    Control:=TDBEdit.Create(Self);
    TBCDField(Field).DisplayFormat:='###,######.################';
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*15;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
//  ftMemo,ftFmtMemo:
  ftMemo,ftFmtMemo,ftBytes, ftVarBytes, ftBlob,ftGraphic, ftTypedBinary:
  begin
    Field.DisplayWidth:=8;
    Control:=TDBMemo.Create(Self);
    TDBMemo(Control).datasource:=STable1;
    Control.Left:=C_DISTCONTROLX;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBMemo(Control).color:=clinfobk;
    TDBMemo(Control).datafield:=Field.fieldname;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftDate:
   begin
    Field.DisplayWidth:=11;
    Control:=TDBEdit.Create(Self);
//    TMaskEdit(Control).mask:=dtkDate;
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.Width:=Trunc(90*Screen.PixelsPerInch/96);
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftTime:
   begin
    Field.DisplayWidth:=11;
    Control:=TDBEdit.Create(Self);
//    TDBEdit(Control).kind:=dtktime;
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.Width:=Trunc(90*Screen.PixelsPerInch/96);
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
  ftDateTime:
   begin
    Field.DisplayWidth:=20;
    Control:=TDBEdit.Create(Self);
//    TDBEdit(Control).kind:=dtkDate;
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    Control.Left:=C_DISTCONTROLX;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.Width:=Trunc(90*Screen.PixelsPerInch/96);
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
    alist.addobject(Field.fieldname,Control);
    otherwidth:=Control.Width;

    Control:=TDBEdit.Create(Self);
    Control.Left:=2*C_DISTCONTROLX+otherwidth;
    Control.Width:=charwidth*12;
    Control.Top:=y;
    Control.Width:=Trunc(90*Screen.PixelsPerInch/96);
    Control.parent:=ScrollForm;
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBEdit(Control).color:=clinfobk;
//    TDBEdit(Control).kind:=dtktime;
    TDBEdit(Control).datasource:=STable1;
    TDBEdit(Control).datafield:=Field.fieldname;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
{  ftBytes, ftVarBytes, ftBlob,ftGraphic, ftTypedBinary:
   begin
    Field.DisplayWidth:=6;
    Control:=TDBMFImage.Create(Self);
    if (Areadonly.checked or (Field.ReadOnly or IBTable1.readonly)) then
     TDBMFImage(Control).color:=clinfobk;
    TDBMFImage(Control).ShowSize:=True;
    TDBMFImage(Control).datasource:=STable1;
    TDBMFImage(Control).datafield:=Field.fieldname;
    TDBMFImage(Control).Stretch:=True;
    TDBMFImage(Control).SaveImageFormatMenu:=True;
    Control.Left:=C_DISTCONTROLX;
    Control.Top:=y;
    Control.parent:=ScrollForm;
    y:=y+control.height;
    alist.addobject(Field.fieldname,Control);
   end;
} end;
end;

begin
 Removeallcomponents;

 ScrollForm.visible:=false;
 try
  y:=0;
  // Free the other
  for i:=0 to objectlist.count-1 do
  begin
   clist:=TStringList(objectlist.objects[i]);
   for j:=0 to clist.count-1 do
   begin
    TControl(clist.objects[j]).free;
   end;
   clist.clear;
  end;
  While objectlist.count>IBTable1.FieldCount do
  begin
   TStringlist(objectlist.objects[0]).free;
   objectlist.delete(0);
  end;
  While objectlist.count<STable1.dataset.FieldCount do
  begin
   objectlist.addobject('',TStringlist.Create);
  end;
  // Builds the scroll form
  for i:=0 To STable1.dataset.Fieldcount-1 do
  begin
   clist:=TStringList(Objectlist.objects[i]);
   AddControlsForField(Stable1.dataset.Fields[i],clist)
  end;
 finally
  ScrollForm.visible:=True;
  buildedform:=True;
 end;
end;

procedure TFTablenew.AGridExecute(Sender: TObject);
begin
 Removeallcomponents;
 buildedform:=false;
 AGrid.checked:=True;
 AForm.checked:=FalsE;
 if Stable1.dataset.Active then
 begin
  Griddata.visible:=true;
  ScrollForm.visible:=False;
 end;
end;

procedure TFTablenew.AFormExecute(Sender: TObject);
begin
 AForm.checked:=True;
 AGrid.checked:=FalsE;
 if STable1.dataset.Active then
 begin
  if Not Buildedform then
   Buildform
  else
   ScrollForm.visible:=true;
  Griddata.visible:=False;
 end;
end;

procedure TFTablenew.Fillfieldsdetail(dia:TFFetching);
var
 notfound:boolean;
 recsize:integer;
begin
 EExternal.visible:=Not fisview;
 LExternal.visible:=Not fisview;
 EOwner.visible:=false;
 LOwner.visible:=false;
 ETablename.text:=table;
 EExternal.text:='';
 EOwner.text:='';
 if fforcreate then
  exit;
 IBTransaction1.starttransaction;
 try
  IBSQL1.sql.text:='SELECT RDB$OWNER_NAME,'+
   'RDB$EXTERNAL_FILE'+
   ' FROM RDB$RELATIONS  '+
   ' WHERE RDB$RELATION_NAME='''+table+'''';
  IBSQL1.ExecQuery;
  notfound:=True;
  if Not IBSQL1.Eof then
  begin
   notfound:=False;
   if Not IBSQL1.FieldByName('RDB$EXTERNAL_FILE').Isnull then
    EExternal.text:=IBSQL1.FieldByName('RDB$EXTERNAL_FILE').AsString;
   if Not IBSQL1.FieldByName('RDB$OWNER_NAME').Isnull then
    EOwner.text:=Trim(IBSQL1.FieldByName('RDB$OWNER_NAME').AsString);
   EExternal.visible:=Not fisview;
   LExternal.visible:=Not fisview;
   EOwner.visible:=True;
   LOwner.visible:=True;
  end;
 finally
  IBTransaction1.Rollback;
 end;
 dia.IncFetch(1);
 if notfound then
  exit;
 dfields.disablecontrols;
 try
  recsize:=Filldatasetwithfieldsinfo(base,True,DFields,table,dia);
  dFields.first;
 finally
  dFields.enablecontrols;
 end;
 fmain.StatusBar.Panels[0].text:=SRpFields+':'+FormatFloat('#,#0',DFields.RecordCount)+
  ' - '+SRpRecordSize+':'+FormatFloat('#,#0',recsize);
end;

procedure TFTablenew.BUpClick(Sender: TObject);
var
 afield,adeli:string;
 apos,nextpos:integer;
begin
 if Not DFields.Active then
  exit;
 if (DFields.EOF AND DFields.BOF) then
  exit;
 if DFieldsORDER.AsInteger<=0 then
  exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 dfields.disablecontrols;
 try
  afield:=DFieldsFIELD.AsString;
  apos:=DFIELDSORDER.AsInteger;
  Dfields.prior;
  nextpos:=DFieldsORDER.AsInteger;
  if nextpos=apos then
   exit;
  IBTransaction1.starttransaction;
  try
   IBSQL1.SQL.Text:='ALTER TABLE '+adeli+table+adeli+' ALTER COLUMN '+adeli+
    afield+adeli+' POSITION '+IntToStr(nextpos);
   IBSQL1.ExecQuery;
   IBTransaction1.Commit;
  except
   IBTransaction1.Rollback;
   Raise;
  end;
  DFields.Active:=False;
  LoadFields;
  Dfields.locate('FIELD',afield,[]);
 finally
  dfields.enablecontrols;
 end;
end;

procedure TFTablenew.BDownClick(Sender: TObject);
var
 afield,adeli:string;
 apos,nextpos:integer;
begin
 if Not DFields.Active then
  exit;
 if (DFields.EOF AND DFields.BOF) then
  exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 dfields.disablecontrols;
 try
  afield:=DFieldsFIELD.AsString;
  apos:=DFIELDSORDER.AsInteger;
  Dfields.Next;
  nextpos:=DFieldsORDER.AsInteger;
  if nextpos=apos then
   exit;
  IBTransaction1.starttransaction;
  try
   IBSQL1.SQL.Text:='ALTER TABLE '+adeli+table+adeli+' ALTER COLUMN '+adeli+
    afield+adeli+' POSITION '+IntToStr(nextpos);
   IBSQL1.ExecQuery;
   IBTransaction1.Commit;
  except
   IBTransaction1.Rollback;
   Raise;
  end;
  DFields.Active:=False;
  LoadFields;
  Dfields.locate('FIELD',afield,[]);
 finally
  dfields.enablecontrols;
 end;
end;

procedure TFTablenew.BRemovefieldClick(Sender: TObject);
var
 priorfield:string;
 afield,adeli:string;
begin
 if Not DFields.Active then
  exit;
 if (DFields.EOF AND DFields.BOF) then
  exit;
 if mryes<>MessageDlg(Format(SrpRemovefield,[Dfieldsfield.asstring]),mtwarning,[mbYes,mbNo,mbCancel],0) then
  exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 dfields.disablecontrols;
 try
  afield:=DFieldsFIELD.AsString;
  Dfields.Prior;
  priorfield:=DFieldsFIELD.AsString;
  if priorfield=afield then
   priorfield:='';
  IBTransaction1.starttransaction;
  try
   IBSQL1.SQL.Text:='ALTER TABLE '+adeli+table+adeli+' DROP '+adeli+
    afield+adeli;
   IBSQL1.ExecQuery;
   IBTransaction1.Commit;
  except
   IBTransaction1.Rollback;
   Raise;
  end;
  DFields.Active:=False;
  LoadFields;
  if length(priorfield)>0 then
   Dfields.locate('FIELD',priorfield,[]);
 finally
  dfields.enablecontrols;
 end;
end;

procedure TFTablenew.BRenameFieldClick(Sender: TObject);
var
 afield,adeli,priorfield:string;
begin
 if Not DFields.Active then
  exit;
 if (DFields.EOF AND DFields.BOF) then
  exit;
 afield:=DFieldsFIELD.AsString;
 priorfield:=afield;
 if Not InputQuery(SrpRenamefield,SrpNewname,afield) then
  exit;
 if priorfield=afield then
  exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 dfields.disablecontrols;
 try
  IBTransaction1.starttransaction;
  try
   IBSQL1.SQL.Text:='ALTER TABLE '+adeli+table+adeli+' ALTER COLUMN '+adeli+
    priorfield+adeli+' TO '+adeli+afield+adeli;
   IBSQL1.ExecQuery;
   IBTransaction1.Commit;
  except
   IBTransaction1.Rollback;
   Raise;
  end;
  DFields.edit;
  try
   DFieldsField.AsString:=afield;
   DFields.post;
  except
   Dfields.cancel;
   raise;
  end;
 finally
  dfields.enablecontrols;
 end;
end;

procedure TFTablenew.BNewfieldClick(Sender: TObject);
var
 newtable:boolean;
 dform:TFDatabase;
 index:integer;
begin
 newtable:=Dfields.eof and dfields.bof;
 // Shows add field dialog
 if ibnewfield(base,table,'NEWFIELD',newtable,EExternal.text) then
 begin
  fforcreate:=false;
 end;
 if newtable then
 begin
  dform:=TFDatabase(dbform);
  index:=dform.tableforms.indexofobject(self);
  if index>=0 then
  begin
   dform.tableforms.strings[index]:=Table;
   caption:=SRpTable+':'+table+' - '+base.databasename;
  end;
 end;
 DFields.active:=false;
 LoadFields;
end;

procedure TFTablenew.LoadTriggers;
begin
 DTrig.close;
 DTrig.createdataset;
 Executeactionprogres(FetchTriggers,true,nil);
end;

procedure TFTablenew.FetchTriggers(dia:TFFetching);
begin
 FillTriggerInfos(base,table,DTrig,dia);
end;

procedure TFTablenew.BNewTrigClick(Sender: TObject);
begin
 TFDatabase(dbform).NewTrigger(table);
end;

procedure TFTablenew.DtrigAfterScroll(DataSet: TDataSet);
begin
 if (DTrig.eof and DTrig.bof) then
 begin
  BActivateTrig.enabled:=false;
  BRemoveTrig.enabled:=false;
  BModifytrig.enabled:=false;
 end
 else
 begin
  BActivateTrig.enabled:=True;
  BRemoveTrig.enabled:=True;
  if DTrigActive.Value=SRpNo then
   BActivateTrig.caption:=SRpActivate
  else
   BActivateTrig.caption:=SRpDeActivate;
  BModifytrig.enabled:=True;
 end;
end;

procedure TFTablenew.BActivateTrigClick(Sender: TObject);
var
 triggername:string;
 action,adeli:string;
begin
 if not dtrig.active then
  exit;
 if (Dtrig.EOF AND Dtrig.BoF) then
  Exit;
 triggername:=DTrigNAME.AsString;
 if BACtivateTrig.caption=SRPActivate then
  action:='ACTIVE'
 else
  action:='INACTIVE';
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 IBTransaction1.starttransaction;
 try
  IBSQL1.SQL.text:='ALTER TRIGGER '+adeli+triggername+adeli+' '+action;
  IBSQL1.ExecQuery;
  IBTransaction1.Commit;
 except
  IBTransaction1.rollback;
  raise;
 end;
 DTrig.Active:=false;
 LoadTriggers;
 DTrig.locate('NAME',triggername,[]);
end;

procedure TFTablenew.BModifytrigClick(Sender: TObject);
begin
 if not dtrig.active then
  exit;
 if (Dtrig.EOF AND Dtrig.BoF) then
  Exit;
 TFDatabase(dbform).AlterTrigger(table,dtrigname.asstring,dtrigsource.asstring,dtrigtypeint.asinteger,dtrigactivebool.value);
end;

procedure TFTablenew.BRemovetrigClick(Sender: TObject);
var
 adeli:string;
begin
 if not dTrig.active then
  exit;
 if (DTrig.EOF AND DTrig.BoF) then
  Exit;
 adeli:='';
 if base.sqldialect=3 then
  adeli:='"';
 IBTransaction1.starttransaction;
 try
  IBSQL1.SQL.text:='DROP TRIGGER '+adeli+DTrigNAME.AsString+adeli;
  IBSQL1.ExecQuery;
  IBTransaction1.Commit;
 except
  IBTransaction1.rollback;
  raise;
 end;
 DTrig.Active:=false;
 LoadTriggers;
end;

procedure TFTablenew.BModifyfieldClick(Sender: TObject);
begin
 // Modify field
 if Dfields.eof and dfields.bof then
  exit;
 // Shows add field dialog
 if ibmodifyfield(base,table,trim(DFieldsFIELD.AsString)) then
 begin
  fforcreate:=false;
  DFields.active:=false;
  LoadFields;
 end;
end;

procedure TFTablenew.Removeallcomponents;
var
 i,j:integer;
 clist:TStringlist;
 control:TControl;
begin
 for i:=0 to objectlist.count-1 do
 begin
  clist:=TStringList(Objectlist.objects[i]);
  for j:=0 to clist.count-1 do
  begin
   if assigned(clist.objects[j]) then
   begin
    control:=TControl(clist.objects[j]);
    if Activecontrol=control then
     Self.Activecontrol:=ComboIndex;
    control.free;
   end;
  end;
  clist.free;
 end;
 objectlist.clear;
end;

procedure TFTablenew.SetIsView(Value:boolean);
begin
 Fisview:=value;
 if FIsview then
 begin
  Toolfields.visible:=false;
  PUpdown.visible:=false;
  Tabindices.Tabvisible:=false;
  Tabconstraints.Tabvisible:=false;
  LTablename.caption:=SrpView;
  LExternal.visible:=FalsE;
  EExternal.visible:=false;
 end;
end;

procedure TFTablenew.IBTable1BeforeOpen(DataSet: TDataSet);
begin
 IBTable1.Readonly:=false;
end;

procedure TFTablenew.AReadonlyExecute(Sender: TObject);
begin
 Checktrans;
 AReadOnly.Checked:=Not AReadonly.Checked;
 AResyncrecord.enabled:=Not AReadonly.checked;
 Removeallcomponents;
 Buildedform:=false;
end;

procedure TFTablenew.ETablenameChange(Sender: TObject);
begin
 table:=Etablename.text;
end;

end.
